function konvergenceMKP()

figure
hold on
h = 0.5;
while h>1e-2
    x = 0:h:1;
    m = length(x)-1;
    
    % tau = ones(1,m); % tau(x) = 1
    % f = ones(1,m);   % f(x) = 1
    
    tau = [ones(1,floor(m/2)),2*ones(1,floor(m/2))];
    f = [ones(1,floor(m/2)),1*ones(1,floor(m/2))];
    
    uDirichlet = [0.1,0];
    
    [A,b] = MKP_poUseckach(x,tau,f,uDirichlet);
    u = A\b;
    plot(x',u)
    h = h/2;
end